Update deployment

View as Markdown
Update a deployment's configuration. You can update the name, description, agent version, connection config, and inbound schedule. Only include fields you want to change.

Path parameters

org_idstringRequired
workspace_idstringRequired
deployment_idstringRequired

Request

This endpoint expects an object.
namestring or nullOptionalformat: "^[\w\- ]{1,50}$"<=50 characters
Updated deployment name
descriptionstring or nullOptional<=150 characters
Updated deployment description
app_versioninteger or nullOptional
Updated agent version
connection_configslist of objects or nullOptional
Updated telephony connections
inbound_configobject or nullOptional
Updated inbound call schedule

Response

Successful Response
deployment_idstring
Unique identifier for the deployment
app_idstring
ID of the agent
app_versioninteger
Version of the agent
connection_configslist of objects
Telephony connection configurations
channel_directionenum

Direction of calls (inbound, outbound, or both)

created_bystring
User who created this deployment
created_atdatetime

Timestamp when created (ISO 8601)

updated_atdatetime

Timestamp when last updated (ISO 8601)

namestring or null
Name of the deployment
statusenum or null
Current status of the deployment
descriptionstring or null
Optional description
inbound_configobject or null
Inbound call schedule configuration
updated_bystring or null
User who last updated this deployment

Errors

422
Unprocessable Entity Error